Movider API Reference
MoviderMoviderAPI Reference
  • API Reference
SMS API
    Send SMSPOSTSend SMSGETSend SMS schedule messages.POSTList all scheduled SMS messages.GETGet a scheduled SMS message.GETCancel a scheduled SMS message.DELETEDelivery reports (DR) for SMSSMPP Connection
Campaign API
    Create a new campaignPOSTList campaign scheduledGETGet a campaign scheduledGETCancel a campaign scheduledDELETE
Viber API
    Create a new viber campaignPOSTList campaign scheduledGETGet a campaign scheduledGETCancel a campaign scheduledDELETE
VERIFICATION API
    Send VerifyPOSTAcknowledge VerifyPOSTCancel VerifyPOST
Voice API
    Send a voice callPOSTGet voice call statusGETVoice API Error codesSupported Voice Languages
BALANCE API
    Get account balancePOST
Contact API
    Create contactsPOSTList contactsGETGet contacts informationGETUpdate contacts informationPATCHDelete contactDELETE
Audience API
    Create a groupPOSTList audience informationGETGet audience informationGETUpdate audience informationPATCHDelete audienceDELETEGet contacts for a groupGETAdd contacts to a groupPUTRemove contacts from a groupDELETE
Chatapps Outbound API
    Send a WhatsApp message using an approved templatePOSTList WhatsApp credit wallets for the authenticated memberGETList approved WhatsApp templates for the authenticated memberGET
GENERAL API INFORMATION
    API Error codesAPI Error codes (extended)Schedule message status referenceDelivery reports (DR) status reference
Schemas
powered by Zudoku

Send SMS schedule messages.

POSThttps://api.movider.co/v1/sms/scheduled

Message scheduling functionality gives you the ability to schedule an SMS for a fixed time in the future.


Recent Requests

TimeStatusUser Agent
Make a request to see history.

Form Data

api_key string required

Your API key.

api_secret string required

Your API Secret.

to string required

The number that the message should be sent. Numbers must be specified in E.164 format. Use commas (,) for multiple receivers (the maximum is 1000 numbers).

from string
  • The "from" field indicates the sender name or brand name used for sending messages to the recipient.
  • If you do not fill a sender name or brand name in the "from" field, the system will automatically use the default sender name.
  • You can send SMS messages with your own customized sender name by registering it with Movider.
  • Please note that the "from" field is case-sensitive. Ensure the sender name matches the case (lowercase or uppercase) you registered with Movider.
text string required
  • For trial accounts, you are unable to edit the body message or sender name. The system automatically sends a default message with a default sender. If you would like to customize both the message and sender name, please upgrade your account.
  • If you do not provide a sender name, or if the sender name does not match the one in your registration, the system will automatically send a default message with a default sender name. Please ensure that your sender name is correct before sending.
delivery_datetime string required

This parameter indicates when Movider will send a message. Your datetime should be in RFC3339 format 2006-02-01T15:04:05+00:00.

callback_url string

The webhook endpoint of the delivery report for this SMS to send. This parameter overrides the webhook endpoint set in dashboard.

callback_method string

The method of webhook of the delivery report. Choose between GET or POST.

Responses

Example Request
curl --request POST \ \ --url "https://api.movider.co/v1/sms/scheduled" \ --data-urlencode "api_key=<api_key>" \ --data-urlencode "api_secret=<api_secret>" \ --data-urlencode "to=<to>" \ --data-urlencode "from=<from>" \ --data-urlencode "text=<text>" \ --data-urlencode "delivery_datetime=<delivery_datetime>" \ --data-urlencode "callback_url=<callback_url>" \ --data-urlencode "callback_method=<callback_method>"
Response

Click Send to see the response.